---
title: 'Element: MSGestureTap event'
slug: Web/API/Element/MSGestureTap_event
tags:
  - Event
  - Non-standard
  - Reference
---
<div>{{APIRef}}</div>

<div>{{Non-standard_header}}</div>

<p>The <strong><code>MSGestureTap</code></strong> event is fired when the user "taps" the pointing device (e.g., touches the touch surface with their finger, taps the touch surface with a pen device, clicks with a mouse). Typically, it's preferable to listen for the {{event("click")}} event instead.</p>

<p>It is a proprietary event specific to Microsoft Edge and Internet Explorer.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MSGestureEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>Unknown</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.MSGestureTap_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events:
  <ul>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureStart_event">MSGestureStart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureEnd_event">MSGestureEnd</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureChange_event">MSGestureChange</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureHold_event">MSGestureHold</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSInertiaStart_event">MSInertiaStart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gesturestart_event">gesturestart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gesturechange_event">gesturechange</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gestureend_event">gestureend</a></code></li>
  </ul>
 </li>
</ul>
